---@enum EStageCriticalStateEvent
local EStageCriticalStateEvent = {
    Enter = 0,
    Exit = 1,
    EStageCriticalStateEvent_MAX = 2,
}

---@enum EStageDataProviderState
local EStageDataProviderState = {
    Active = 0,
    Inactive = 1,
    Closed = 2,
    EStageDataProviderState_MAX = 3,
}

---@enum EStageLoadingState
local EStageLoadingState = {
    PreLoad = 0,
    PostLoad = 1,
    EStageLoadingState_MAX = 2,
}

---@enum EStageMessageFlags
local EStageMessageFlags = {
    None = 0,
    Reliable = 1,
    EStageMessageFlags_MAX = 2,
}

